Subject: [bug#38721] [PATCH] gnu: Add i3-gaps

From: Brett Gilio <[email-masked]>
Date: Wed, 25 Dec 2019 08:26:39 +0000 (UTC)

Dec 25, 2019 2:16:09 AM Sergiu Marton :

> After it got merged into master with the inheritance modification, I
> installed it over the one I had installed from my original script and
> it seemed to work fine. But I think that's just because I didn't
> reboot to reload the i3 executable.
>
> Now that I shutdown and opened my machine again, i3-gaps specific
> commands don't work. To test this, write `i3-msg gaps` in a shell. If
> it does NOT work, it will output something like:
>
> brown@121407 ~$ i3-msg gaps
> ERROR: Your command: gaps
> ERROR: ^^^^
> ERROR: Expected one of these tokens: > represent valid commands>
>
> However, it seems that gaps work if I remove the package, install it
> from the original package definition (without Brett's (inherit i3-wm))
> and reboot. The following output means that i3-gaps has been correctly
> installed:
>
> brown@121407 ~$ i3-msg gaps
> ERROR: Your command: gaps
> ERROR:
> ERROR: Expected one of these tokens: 'inner', 'outer', 'horizontal',
> 'vertical', 'top', 'right', 'bottom', 'left'
>
> This is strange. I still don't know enough about the packaging API to
> troubleshoot this all just by having a quick look at i3-gaps'
> definition. I'll try to investigate this issue but I encourage someone
> more knowledgeable than me too look into this too.
>

Hi Sergiu. Since this is closed and an issue for adding a new package, and your issue is about the new package will you open a new bug report at [email-masked]? You can basically reuse your statement and link to this closed issue .

Thanks!

-- 
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
< [email-masked] [mailto:[email-masked]] > < [email-masked] [mailto:[email-masked]] >